Package org.eclipse.cdt.core.parser

# Class OffsetLimitReachedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.parser.EndOfFileException
org.eclipse.cdt.core.parser.OffsetLimitReachedException

All Implemented Interfaces:
  `Serializable`

public class OffsetLimitReachedException extends EndOfFileException
The exception is thrown, when content-assist is requested within a context that is handled by the lexer or the preprocessor.

`ORIGIN_LEXER`: char-literal, string-literal, number-literal, header-name.

`ORIGIN_PREPROCESSOR_DIRECTIVE`: preprocessor-directive.

`ORIGIN_INACTIVE_CODE`: within an inactive branch of conditional compilation.

`ORIGIN_MACRO_EXPANSION`: within a macro-expansion.

See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ORIGIN_INACTIVE_CODE`
`static final int`
`ORIGIN_LEXER`
`static final int`
`ORIGIN_MACRO_EXPANSION`
`static final int`
`ORIGIN_PREPROCESSOR_DIRECTIVE`
`static final int`
`ORIGIN_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`OffsetLimitReachedException(int origin, IToken lastToken)`

## Method Summary

Modifier and Type
Method
Description
`IToken`
`getFinalToken()`
`int`
`getOriginator()`
Returns one of ORIGIN_...

### Methods inherited from class org.eclipse.cdt.core.parser.EndOfFileException

`endsInactiveCode, getEndOffset`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ORIGIN_UNKNOWN

public static final int ORIGIN_UNKNOWN

See Also:
  - Constant Field Values

### ORIGIN_LEXER

public static final int ORIGIN_LEXER

See Also:
  - Constant Field Values

### ORIGIN_PREPROCESSOR_DIRECTIVE

public static final int ORIGIN_PREPROCESSOR_DIRECTIVE

See Also:
  - Constant Field Values

### ORIGIN_INACTIVE_CODE

public static final int ORIGIN_INACTIVE_CODE

See Also:
  - Constant Field Values

### ORIGIN_MACRO_EXPANSION

public static final int ORIGIN_MACRO_EXPANSION

See Also:
  - Constant Field Values

## Constructor Details

### OffsetLimitReachedException

public OffsetLimitReachedException(int origin, IToken lastToken)

## Method Details

### getOriginator

public int getOriginator()
Returns one of ORIGIN_...

### getFinalToken

public IToken getFinalToken()

Returns:
  Returns the finalToken.